if [ ! -f /etc/email/email.address.template ]
then
    /bin/cp /etc/defaults/etc/email/email.address.template /etc/email/email.address.template
fi

if [ ! -f /etc/email/email.conf ]
then
    /bin/cp /etc/defaults/etc/email/email.conf /etc/email/email.conf
fi

if [ ! -f /etc/email/email.help ]
then
    /bin/cp /etc/defaults/etc/email/email.help /etc/email/email.help
fi

if [ ! -f /etc/email/email.sig ]
then
    /bin/cp /etc/defaults/etc/email/email.sig /etc/email/email.sig
fi

if [ ! -f /etc/email/mime-magic.mime ]
then
    /bin/cp /etc/defaults/etc/email/mime-magic.mime /etc/email/mime-magic.mime
fi

#! /bin/sh
set -e

nt=$(uname -s | sed -ne 's/CYGWIN_NT-\(.*\)/\1/p')

if [ -n "$nt" ]
then
  export CYGWIN=ntsec
  SYSTEMUID=$(sed -ne '/^[^:]*:[^:]*:[0-9]*:[0-9]*:[^:]*,S-1-5-18:.*:/{s/[^:]*:[^:]*:\([0-9]*\):.*$/\1/p;q}' /etc/passwd)
  ADMINSGID=$(sed -ne '/^[^:]*:S-1-5-32-544:.*:/{s/[^:]*:[^:]*:\([0-9]*\):.*$/\1/p;q}' /etc/group)
  setfacl -m u::rw-,g::rw-,o:r-- /etc/defaults/etc/email/*
  if [ -n "${SYSTEMUID}" -a -n "${ADMINSGID}" ]
  then
    chown "${SYSTEMUID}:${ADMINSGID}" /etc/defaults/etc/email/*
  else
    echo "ERROR: Cannot find SYSTEM and/or ADMINS SIDS"  
  fi
fi
